## org.eclipse.xsd
Interface XSDParticle.DFA.Transition

All Known Implementing Classes:
  XSDParticleImpl.XSDNFA.TransitionImpl

Enclosing interface:
  XSDParticle.DFA

    public static interface XSDParticle.DFA.Transition

A transition of a deterministic finite state automaton.

Method Summary
`XSDParticle` `getParticle()` Returns the particle associated with this transition.
`XSDParticle.DFA.State` `getState()` Returns the target state of this transition.

Method Detail

### getParticle

    XSDParticle getParticle()

  Returns the particle associated with this transition.

  Returns:
    the particle associated with this transition.

### getState

    XSDParticle.DFA.State getState()

  Returns the target state of this transition.

  Returns:
    the target state of this transition.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.